Description

Page: https://docs.netgate.com/pfsense/en/latest/hardware/tune.html

Feedback:

On pfSense 21.02/2.5, given that the igb driver is now replaced by the iflib em driver, the following no longer applies:

hw.igb.num_queues=1 # this is no longer used/needed

hw.igb.fc_setting=0 # this now needs to be set as a System Tunable like so: dev.igb.X.fc=0

History

#1 - 03/29/2021 08:35 AM - Jim Pingle

- Tracker changed from Todo to Correction

#2 - 06/21/2021 12:53 PM - Jim Pingle

- Status changed from New to In Progress

- Assignee set to Jim Pingle

#3 - 06/21/2021 03:43 PM - Jim Pingle

- Status changed from In Progress to Feedback

Updated as a part of https://gitlab.netgate.com/docs/pfSense-docs/-/commit/35e2d56cc2f1021b58ee71135d99d371e332af1e

#4 - 06/21/2021 09:31 PM - Marcos M

Of note, hw.ix.flow_control=0 in loader.conf.local can still be used, though it's probably best to keep it as device specific so it can be included in config

backups as System Tunables.

Regarding dev.igb.x.fc=0, this needs to be set as a System Tunable since it does not get applied after reboot if placed in the loader.conf.local file:

[21.05-RC][root@pfSense.home.arpa]/root: cat /boot/loader.conf.local

dev.igb.0.fc=0

dev.ix.0.fc=0

[21.05-RC][root@pfSense.home.arpa]/root: sysctl -a | grep dev.igb.0.fc

dev.igb.0.fc_low_water: 32752

dev.igb.0.fc_high_water: 32768

dev.igb.0.fc: 3

[21.05-RC][root@pfSense.home.arpa]/root: sysctl -a | grep dev.ix.0.fc

dev.ix.0.fc: 0

 When used as a System Tunable and after reboot:

sysctl -a | grep dev.igb.0.fc

dev.igb.0.fc: 0

 Note that his has been the case since 21.02/2.5.0.

#5 - 06/22/2021 02:35 PM - Jim Pingle

Check the doc again now.

Should be better.

https://gitlab.netgate.com/docs/pfSense-docs/-/commit/1a8fd83fbc4bc389796ae65aca1d7fedc739793a
#6 - 06/22/2021 04:24 PM - Marcos M

Looks good.

#7 - 06/23/2021 07:05 AM - Jim Pingle

- Status changed from Feedback to Closed
